Bug 24361 - Blender menus are broken
Summary: Blender menus are broken
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/R100 (show other bugs)
Version: 7.5
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-06 16:46 UTC by Jacek Poplawski
Modified: 2010-02-02 03:43 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jacek Poplawski 2009-10-06 16:46:40 UTC
I use Arch Linux with packages:

mesa 7.5.1-2
ati-dri 7.5.1-2
xf86-video-ati 6.12.4-1
libgl 7.5.1-2
xorg-server 1.6.3.901-1
kernel26 2.6.30.6-1
blender 2.49a-1

and all menus in Blender are broken. Text in UI is visible, but when I enable menu with mouse or with a hotkey I see just white and black rectangles.

This is probably well known issue because I found similar bugs from 2006.

PS. I can't find any info how to disable hardware rendering now, both LIBGL_ALWAYS_INDIRECT and LIBGL_SOFTWARE_RENDERING doesn't change it.
Comment 1 Alex Deucher 2009-10-06 18:26:34 UTC
Please try mesa 7.6 or git master.  For software rendering, you want:
LIBGL_ALWAYS_SOFTWARE=1
Comment 2 Sergey 2009-10-29 02:19:32 UTC
I have the same problem on Gentoo x64.

Kernel 2.6.30-gentoo-r5
x11-base/xorg-server-1.6.3.901-r2  USE="hal nptl sdl xorg -debug -dmx -ipv6 -kdrive -minimal -tslib"
x11-drivers/xf86-video-ati-6.12.4
Display controller: ATI Technologies Inc RV530 [Radeon X1600] (Secondary)

Upgrading from mesa-7.4.4 to mesa-7.5.1 or mesa-7.5.2 breaks blender menus. 7.4.4 works fine.

I have tried blender-2.48a-r3, blender-2.49a, blender-2.49b.
Comment 3 Sergey 2010-02-02 03:43:08 UTC
Seems to be fixed in mesa 7.7


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.